Skip to main content
GET
/
v4
/
core
/
companies
/
{companyId}
/
tax-rates
List tax rates
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/tax-rates \
  --header 'api_key: <api-key>'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/tax-rates"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/tax-rates', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "data": [
      {
        "rootfi_id": 123,
        "rootfi_created_at": "2023-11-07T05:31:56Z",
        "rootfi_updated_at": "2023-11-07T05:31:56Z",
        "platform_id": "<string>",
        "name": "<string>",
        "code": "<string>",
        "rate": 123,
        "tax_type": "<string>",
        "effective_tax_rate": 123,
        "total_tax_rate": 123,
        "components": "<unknown>",
        "jurisdiction": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "total_count": 123,
    "next": "<string>",
    "prev": "<string>"
  },
  "request_id": "<string>"
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

limit
integer
default:20

Max records to return.

Required range: x <= 100
next
string

Cursor for the next page (from a previous response).

prev
string

Cursor for the previous page.

include_deleted_records
boolean

Include soft-deleted records.

return_count
boolean

Include the total match count in the response.

status[eq]
enum<string>

Exact match on status.

Available options:
ACTIVE,
ARCHIVED,
UNKNOWN
status[in]
string

Comma-separated status values (OR match).

jurisdiction[eq]
string

Exact match on jurisdiction.

jurisdiction[in]
string

Comma-separated jurisdiction values (OR match).

rootfi_integration_type[eq]
string

Exact match on rootfi_integration_type.

rootfi_integration_type[in]
string

Comma-separated rootfi_integration_type values (OR match).

rootfi_updated_at[eq]
string

Exact match on rootfi_updated_at.

rootfi_updated_at[in]
string

Comma-separated rootfi_updated_at values (OR match).

rootfi_updated_at[gte]
string

rootfi_updated_at greater-than-or-equal.

rootfi_updated_at[lte]
string

rootfi_updated_at less-than-or-equal.

created_at[eq]
string

Exact match on created_at.

created_at[in]
string

Comma-separated created_at values (OR match).

created_at[gte]
string

created_at greater-than-or-equal.

created_at[lte]
string

created_at less-than-or-equal.

updated_at[eq]
string

Exact match on updated_at.

updated_at[in]
string

Comma-separated updated_at values (OR match).

updated_at[gte]
string

updated_at greater-than-or-equal.

updated_at[lte]
string

updated_at less-than-or-equal.

Response

200 - application/json

A paginated list of tax-rates.

data
object
required
request_id
string
required